<?php
// WizyTówka - strona/tresc.php
if ( !defined('WT') ) exit();

function komunikat ( $tresc ) {
  $GLOBALS['html'] = '<p class="info">' . tekst($tresc,false) . '</p>' . $GLOBALS['html'];
}

function head () {
  echo '<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />' . "\n";
  if ( odczyt_konf('ustawienia','opis') != null )
    echo '<meta name="Description" content="' . odczyt_konf('ustawienia','opis') . '" />' . "\n";
  if ( odczyt_konf('ustawienia','slowa_kluczowe') != null )
    echo '<meta name="Keywords" content="' . odczyt_konf('ustawienia','slowa_kluczowe') . '" />' . "\n";
  if ( odczyt_konf('ustawienia','autor') != null )
    echo '<meta name="Author" content="' . odczyt_konf('ustawienia','autor') . '" />' . "\n";
  if ( odczyt_konf('ustawienia','nie_indeksuj_strony') )
    echo '<meta name="Robots" content="noindex" />' . "\n";
  echo '<meta name="Generator" content="WizyTowka - wizytowka.tomaszgasior.kao.pl" />' . "\n";
  echo '<title>' . tekst( sprintf(odczyt_konf('ustawienia','uklad_tytulu'),$GLOBALS['podstrona']['tytul_podstrony']), false ) . '</title>' . "\n";
  if ( $GLOBALS['motyw']['wlasne'] )
    echo '<link rel="Stylesheet" href="' . odczyt_konf('ustawienia','adres') . '/' . DANE . '/motywy/' . $GLOBALS['motyw']['nazwa'] . '.css" />' . "\n";
  else
    echo '<link rel="Stylesheet" href="' . odczyt_konf('ustawienia','adres') . '/' . SYSTEM . '/motywy/' . $GLOBALS['motyw']['nazwa'] . '.css" />' . "\n";
  if ( $GLOBALS['motyw']['ustawienia_uzytkownika'] and odczyt_konf('wyglad','ustawienia_uzytkownika') ) {
    $kroj = odczyt_konf('wyglad','kroj_tekstu');
    if ( $kroj != 'Arial' and $kroj != 'Georgia' and $kroj != 'Times New Roman' and $kroj != 'Trebuchet MS' and $kroj != 'Verdana' )
      echo '<link rel="Stylesheet" href="http://fonts.googleapis.com/css?family=' . str_replace(' ','+',$kroj) . '&subset=latin-ext"/>' . "\n";
    echo '<style>' . "\n";
    echo '.szerokosc, .u-u { width: ' . odczyt_konf('wyglad','szerokosc_strony') . 'px; } ' . "\n";
    echo '.kroj, .u-u { font-family: ' . odczyt_konf('wyglad','kroj_tekstu') . ', sans-serif; } ';
    echo '.rozmiar, .u-u { font-size: ' . odczyt_konf('wyglad','rozmiar_tekstu') . 'px; }' . "\n";
    echo '.kolor-tekstu, .u-u { color: ' . odczyt_konf('wyglad','kolor_tekstu') . '; } ';
    echo '.kolor-tla, .u-u { background-color: ' . odczyt_konf('wyglad','kolor_tla') . '; }' . "\n";
    echo '.kolor-tekstu-jak-kolor-tla { color: ' . odczyt_konf('wyglad','kolor_tla') . '; } ';
    echo '.kolor-tla-jak-kolor-tekstu { background-color: ' . odczyt_konf('wyglad','kolor_tekstu') . '; }' . "\n";
    echo '</style>' . "\n";
  }
  if ( $GLOBALS['motyw']['jquery'] or $GLOBALS['typ']['jquery'] )
    echo '<script src="http://code.jquery.com/jquery-1.8.2.min.js"></script>';
  echo $GLOBALS['head'];
}

function tytul_strony ( $logo = true ) {
  echo '<a href="' . odczyt_konf('ustawienia','adres') . '">';
  if ( !odczyt_konf('wyglad','logo') or !$GLOBALS['motyw']['logo_uzytkownika'] )
    echo tekst(odczyt_konf('ustawienia','tytul'), false);
  else
    echo '<img src="' . tekst(odczyt_konf('ustawienia','adres'),false) . '/' . PLIKI . '/' . odczyt_konf('wyglad','logo') . '" alt="' . odczyt_konf('ustawienia','tytul') . '" />';
  echo '</a>';
}

function tytul_podstrony () {
  echo '<a href="' . odczyt_konf('ustawienia','adres') . '/' . $GLOBALS['z'] . $GLOBALS['a'] . '">';
  echo tekst ($GLOBALS['podstrona']['tytul_podstrony'],false);
  echo '</a>';
}

function zawartosc ( $otworz = "<article>\n", $zamknij = "\n</article>\n" ) {
  if ( $GLOBALS['html'] == '' )
    komunikat('Strona jest pusta.');
  if ( is_array($GLOBALS['html']) ) {
    foreach ( $GLOBALS['html'] as $fragment )
      echo $otworz . $fragment . $zamknij;
  }
  else
    echo $otworz . $GLOBALS['html'] . $zamknij;
}

function menu ( $menu_nr = 1, $otworz = '<li>', $zamknij = "</li>\n" ) {
  if ( $menu_nr == 2 )
    $menu = odczyt_konf('menu','menu_dodatkowe');
  else
    $menu = odczyt_konf('menu','menu_glowne');
  foreach ( $menu as $element ) {
    $odczyt = odczyt_podstrona ($element);
    if ( $odczyt != false )
      echo $otworz . '<a href="' . odczyt_konf('ustawienia','adres') . '/' . $GLOBALS['z'] . $element . '">' . tekst($odczyt['tytul_podstrony'],false) . '</a>' . $zamknij;
  }
}

function stopka ( $rozdziel = ' | ', $dodatkowo = '' ) {
  $autor = odczyt_konf('ustawienia','autor');
  if (empty($autor))
    $autor = odczyt_konf('ustawienia','tytul');
  echo '&copy; ' . $autor . ' ' . date('Y');
  if ( !empty($dodatkowo) )
    echo $rozdziel . $dodatkowo;
  if ( odczyt_konf('ustawienia','promocja_wt') )
    echo $rozdziel . '<a href="http://wizytowka.tomaszgasior.kao.pl" target="_blank">WizyTówka</a>';
}

